Bug 1258459 - Too many socket files in /tmp/orbit-user folder
Summary: Too many socket files in /tmp/orbit-user folder
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ORBit2
Version: 6.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1269194 1363705 1391976
TreeView+ depends on / blocked
 
Reported: 2015-08-31 12:44 UTC by Deepu K S
Modified: 2020-03-11 14:56 UTC (History)
18 users (show)

Fixed In Version: ORBit2-2.14.17-6.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1391976 (view as bug list)
Environment:
Last Closed: 2017-05-24 14:37:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2780201 0 None None None 2018-08-07 03:24:44 UTC

Description Deepu K S 2015-08-31 12:44:46 UTC
Description of problem:
Lots of linc socket files are created under '/tmp/orbit-<user>'. This is filling up the inodes in /tmp and creating a problem.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6.6
ORBit2-2.14.17-5.el6.x86_64

How reproducible:
Always.
'linc-cleanup-sockets' command does clean this, but would like to see a permanent fix.

Steps to Reproduce:
1. Happening on a server with multiple user's logged in (running gnome-session). User's are from ldap using vasd client authentication.
2. On another server, happening only for specific user. 'gnome-session' is launched by '/usr/libexec/nx/nxagent'.

Actual results:
The linc socket files gets accumulated with each login.

Expected results:
The older socket files should get cleared once user logs out from GNOME session.

Comment 4 David Knapik 2016-08-08 15:33:15 UTC
Problem exists on RHEL6_U8 as well. Same situation where we have users running gnome sessions remotely either through VNC or ExceedOnDemand. 

It is not 100% all of the time, but something happens to the session and the number of orbit sockets that user creates consumes all inodes on the /tmp volume. 

It the case I just cleaned up today it was over 6.8M inodes.
This took the linc-cleanup-sockets about 2 hours to clear on the running system.

Comment 9 Stew Benedict 2017-08-02 15:59:23 UTC
Granted it does try to clean up at start now, but if you don't have the devel package installed (we strip as many devel packages from production systems as we can), you get this error now:

gnome-session[1928]: WARNING: Could not launch application 'linc-cleanup-sockets.desktop': Unable to start application: Failed to execute child process "/usr/bin/linc-cleanup-sockets" (No such file or directory)
console.error:

IMO linc-cleanup-sockets should be moved to the main package.


Note You need to log in before you can comment on or make changes to this bug.